# std::bit_xor<void>

From cppreference.com
< cpp‎ | utility‎ | functional

Defined in header `<functional>` |  |
template<> class bit_xor<void>; |  | (since C++14)

std::bit_xor<> is a specialization of std::bit_xor with parameter and return type deduced.

### Member types

Member type | Definition
`is_transparent` | /* unspecified */

### Member functions

operator() | applies `operator^` to lhs and rhs (public member function)

## std::bit_xor<>::operator()

template< class T, class U> constexpr auto operator()( T&& lhs, U&& rhs ) const -> decltype(std::forward<T>(lhs) ^ std::forward<U>(rhs)); |  |

Returns the result of `lhs ^ rhs`.

### Parameters

lhs, rhs | - | values to compute bitwise XOR for

### Return value

The result of lhs ^ rhs.

### Notes

The member type `is_transparent` indicates to the caller that this function object is a transparent function object: it accepts arguments of arbitrary types and uses perfect forwarding, which avoids unnecessary copying and conversion when the function object is used in heterogeneous context, or with rvalue arguments. In particular, template functions such as std::set::find and std::set::lower_bound make use of this member type on their `Compare` types.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/bit_xor_void&oldid=105552"